"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _axios = _interopRequireDefault(require("axios"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _q3UiForms = _interopRequireDefault(require("q3-ui-forms"));

var _q3UiPermissions = _interopRequireDefault(require("q3-ui-permissions"));

var _LocaleBundles = _interopRequireDefault(require("./LocaleBundles"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/* eslint-disable import/no-extraneous-dependencies */
const setBaseUrlForRest = (baseURL = process.env.GATSBY_APP_BASE_URL || 'http://localhost:9000') => {
  _axios.default.defaults.baseURL = baseURL;
  return _axios.default.defaults;
};

const Wrapper = ({
  baseURL,
  children,
  locale
}) => {
  setBaseUrlForRest(baseURL);
  return /*#__PURE__*/_react.default.createElement(_LocaleBundles.default, {
    locale: locale
  }, /*#__PURE__*/_react.default.createElement(_q3UiPermissions.default, null, /*#__PURE__*/_react.default.createElement(_q3UiForms.default, {
    preventDuplicate: true
  }, children)));
};

Wrapper.defaultProps = {
  baseURL: undefined
};
Wrapper.propTypes = {
  baseURL: _propTypes.default.string,
  children: _propTypes.default.node.isRequired,
  // eslint-disable-next-line
  locale: _propTypes.default.object.isRequired
};
var _default = Wrapper;
exports.default = _default;